## Generic requirements in order to contribute to MOSP:

* One Pull Request per fix/feature/change/...
* Keep the amount of commits per PR as small as possible: if for any reason, you need to fix your commit after the pull request, please squash the changes in one single commit (or tell us why not)
* Always make sure it is mergeable in the default branch
* Any major changes adding a functionality should be disabled by default in the configuration of MOSP


#### What does it do?

If it fixes an existing issue, please use GitHub syntax: `#<IssueID>`

#### Questions

- [ ] Does it require a DB change?
- [ ] Are you using it in production?

#### Release Type:
- [ ] Major
- [ ] Minor
- [X] Patch

